org.apache.jmeter.protocol.mongodb.sampler

## Class MongoScriptRunner

- java.lang.Object
- - org.apache.jmeter.protocol.mongodb.sampler.MongoScriptRunner

-     public class MongoScriptRunner
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoScriptRunner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(com.mongodb.DB db, String script)` Evaluate a script on the database

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoScriptRunner

          public MongoScriptRunner()

  - ### Method Detail

    - #### evaluate

          public Object evaluate(com.mongodb.DB db,
                                 String script)
                          throws Exception

      Evaluate a script on the database
      Parameters:
        `db` - database connection to use
        `script` - script to evaluate on the database
      Returns:
        result of evaluation on the database
      Throws:
        `Exception` - when evaluation on the database fails

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.